body {
  font-family: "Open Sans", Helvetica, Arial, sans-serif;
  font-size: 14px;
  background-color: #e6e6e6;
  margin: 0;
  padding: 0;
  overflow-y: scroll;
}
#page {
  background-color: white;
  background: radial-gradient(ellipse farthest-side, white 400px, rgba(51,102,102,0.5) 1200px);
  max-width: 960px;
  width: calc(100vw - 40px);
  margin: 12px auto;
  padding: 24px 40px;
  box-shadow: 0 2px 6px rgba(100,100,100,0.3);
  box-sizing: border-box;
}
#banner {
  display: block;
  background-color: rgb(51,102,102);
  border-color: rgb(51,102,102);
  border-style: solid;
  border-width: 1px 0;
  box-shadow: 3px 3px 3px #a9a9a9;
}
#banner h1 {
  font-size: 26px;
  font-weight: bold;
  line-height: 48px;
  margin-bottom: 0;
  color: #efefef;
  text-shadow: 2px 2px #444444;
  margin: 0 20px;
}

div.table-header {
  position: relative;
}
div.table-header.flex {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
}

table {
  border-collapse: collapse;
  width: 100%;
}
table th,
table td {
  border: 1px solid grey;
  padding: 0 4px;
  text-align: left;
}
table.attributes th,
table.attributes td {
  width: 25%;
}
span.right {
  display: inline-block;
  float: right;
}
.align-right {
  text-align: right;
}
.comments {
  border-bottom: 1px solid grey;
  padding-bottom: 12px;
}
.smallprint {
  font-size: 12px;
  border-bottom: 1px solid grey;
  margin-bottom: 12px;
}

.ui-dialog .twt-dialog.ui-dialog-content {
  display: flex !important;
  flex-flow: column;
  padding-bottom: 0;
}
.twt-dialog .well-info {
  margin-bottom: 12px;
}
.twt-dialog .max-distance {
  width: 50px;
}
.twt-dialog table td {
  border: none;
}
.twt-dialog .get-wells {
  float: right;
}
.twt-dialog .well-list.busy {
  background: url(../../images/loader_.gif) no-repeat center;
}
.twt-dialog .well-list {
  flex: 1; /* grow to fill space */
  display: none;
  overflow: auto;
  min-height: 30px;
  border-top: 1px solid grey;
  border-bottom: 1px solid grey;
  font-size: 12px;
}
.twt-dialog .well-list p {
  display: flex;
  position: relative;
  padding: 4px;
  margin: 4px 0;
  cursor: pointer;
}
.twt-dialog .well-list p>* {
  min-width: 140px;
  flex: 0;
}
.twt-dialog .well-list a {
  color: blue;
}
.twt-dialog .well-list p.selected {
  background-color: grey;
  color: white;
}
.twt-dialog .well-list p.selected:after {
  display: inline-block;
  position: absolute;
  right: 0;
  width: 16px;
  height: 16px;
  content: "\2713\FE0E"; /* tick mark with text selector (not emoji) */
}
.twt-dialog .status {
  display: none;
  border-bottom: 1px solid grey;
  min-height: 30px;
  line-height: 30px;
  font-size: 12px;
}

.twt-dialog + .ui-dialog-buttonpane {
  padding-left: 1em;
}
.twt-dialog + .ui-dialog-buttonpane .ui-dialog-buttonset {
  float: none;
}
.twt-dialog + .ui-dialog-buttonpane button {
  float: left;
}
.twt-dialog + .ui-dialog-buttonpane button:last-child {
  float: right;
}

/* JQuery UI overrides - default font */
.ui-widget {
  font-family: "Open Sans", Helvetica, Arial, sans-serif;
  font-size: 14px;
}

/* JQuery UI overrides - use square corners for widgets */
.ui-corner-all,
.ui-corner-bottom,
.ui-corner-right,
.ui-corner-left,
.ui-corner-top,
.ui-corner-br,
.ui-corner-tr,
.ui-corner-tl,
.ui-corner-tr {
  border-radius: 0px;
}

/* additional JQuery UI overrides for 'modern' 'flat' look */
.ui-tabs {
  padding: 0;
}
.ui-widget-content {
  border: 0;
}
.ui-widget-header {
  border: 0;
  background: rgb(51,102,102);
  color: white;
}
.ui-dialog {
  padding: 0;
  box-shadow: 3px 3px 20px #555;
}
.ui-tabs .ui-tabs-nav {
  padding: 0;
  background: white;
}
/* begin JQUI dialog titlebar close button override (used in twt-dialog) */
.ui-dialog-titlebar .ui-state-default,
.ui-button .ui-state-default {
  background: rgb(51,102,102);
  border: 0;
}
.ui-state-default .ui-icon {
  background: none;
}
.ui-dialog-titlebar .ui-button-icon-only:after {
  display: inline-block;
  width: 16px;
  height: 16px;
  content: "\274C\FE0E"; /* cross mark with text selector (not emoji) */
  color: white;
  position: absolute;
  right: 4px;
  top: 0;
}
.ui-dialog-titlebar .ui-button-icon-only:hover:after {
  color: lightgrey;
}
/* end JQUI dialog titlebar close button override */

.ui-dialog-titlebar {
  min-height: 1.3em;
}

/* replace the default DialogExtend maximize icon */
a.ui-dialog-titlebar-maximize {
  text-decoration: none;
}
.ui-icon.ui-icon-extlink:before {
  content: "\2610"; /* ballot box #9744 */
  display: block;
  width: 16px;
  height: 16px;
  text-indent: 0;
  font-weight: bold;
  padding-left: 2px;
}
.ui-icon.ui-icon-extlink {
  background-image: none !important;
}

/* remove focus rectangle on dialog buttons and tabs */
:focus {
  outline: none;
}


